# Created by pyp2rpm-3.3.2
%global pypi_name sphinxtesters

Name:           python-%{pypi_name}
Version:        0.2.3
Release:        %mkrel 8
Summary:        Utilities for testing Sphinx extensions
Group:          Development/Python
License:        BSD license
URL:            https://github.com/matthew-brett/sphinxtesters
Source0:        https://github.com/matthew-brett/sphinxtesters/archive/%{version}/sphinxtesters-%{version}.tar.gz
# Work around a changing sphinx interface
Patch0:         %{name}-config-error.patch
# Update versioneer to fix a FTBFS with python 3.12
# https://github.com/matthew-brett/sphinxtesters/pull/4
Patch1:         %{name}-versioneer.patch
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(docutils)

%description
Utilities for testing Sphinx extensions.

%package -n     python3-%{pypi_name}
Summary:        Utilities for testing Sphinx extensions
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Utilities for testing Sphinx extensions.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test test-requirements.txt

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Sat Mar 01 2025 wally <wally> 0.2.3-8.mga10
+ Revision: 2155939
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 0.2.3-7.mga10
+ Revision: 2021951
- rebuild for py3.12
- switch to github sources to be able to fix versioneer

* Tue Mar 29 2022 umeabot <umeabot> 0.2.3-6.mga9
+ Revision: 1832774
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.2.3-5.mga9
+ Revision: 1782385
- rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 0.2.3-4.mga9
+ Revision: 1708081
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.2.3-3.mga8
+ Revision: 1532211
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.2.3-2.mga8
+ Revision: 1442217
- rebuild for python3.8

* Sun Aug 25 2019 wally <wally> 0.2.3-1.mga8
+ Revision: 1431842
- new version 0.2.3
- drop python2 support

* Wed Jan 30 2019 shlomif <shlomif> 0.2.1-1.mga7
+ Revision: 1361895
- pyp2rpm

